# Changelog

## 2025-01-25 - 3.0.4 - fix(metadata)
Removed CI configuration file .gitlab-ci.yml and updated project metadata

- Deleted the .gitlab-ci.yml file to potentially switch or update CI/CD configurations.
- Updated the `description` and `keywords` in package.json and npmextra.json for better project documentation and SEO.

## 2024-04-01 to 2024-05-29 - 3.0.3 - maintenance
Maintenance updates and minor configuration changes.

- Updated the project description.
- Updated TypeScript configuration (`tsconfig`).
- Modified `npmextra.json` file for `githost`.

## 2023-06-25 to 2023-07-10 - 3.0.3 - organization
Organizational changes and fixes in core components.

- Transitioned to a new organization scheme.

## 2023-03-06 to 2023-06-25 - 3.0.1 to 3.0.2 - fixes
Core updates and critical fixes.

- Updated core components with fixes.

## 2022-07-24 - 2.0.9 - breaking change
Significant shifts in module support.

- **BREAKING CHANGE**: Switched to ECMAScript Module (ESM) format.

## 2018-08-27 - 1.0.16 - breaking change
Major updates in project scope.

- **BREAKING CHANGE**: Updated project scope to `@pushrocks`.

## 2017-05-26 - 1.0.15 - functionality
Enhancements in processing capabilities.

- Added post-processing functionality.

## 2017-05-12 - 1.0.13 - documentation improvements
Enhanced documentation.

- Added new documentation materials.

## 2017-05-01 - 1.0.8 - variable handling
Improvements in variable utilization.

- Introduced extended variable checking capabilities.

